# Uses of Interface
java.lang.foreign.Linker.Option

Packages that use Linker.Option
Package
Description
java.lang.foreign
Provides low-level access to memory and functions outside the Java runtime.

- ## Uses of Linker.Option in java.lang.foreign

  Methods in java.lang.foreign that return Linker.Option
  Modifier and Type
  Method
  Description
  `static Linker.Option`
  Linker.Option.`captureCallState(String... capturedState)`
  Returns a linker option used to save portions of the execution state immediately after calling a foreign function associated with a downcall method handle, before it can be overwritten by the Java runtime, or read through conventional means.
  `static Linker.Option`
  Linker.Option.`critical(boolean allowHeapAccess)`
  Returns a linker option used to mark a foreign function as critical.
  `static Linker.Option`
  Linker.Option.`firstVariadicArg(int index)`
  Returns a linker option used to denote the index indicating the start of the variadic arguments passed to the function described by the function descriptor associated with a downcall linkage request.
  Methods in java.lang.foreign with parameters of type Linker.Option
  Modifier and Type
  Method
  Description
  `MethodHandle`
  Linker.`downcallHandle(FunctionDescriptor function, Linker.Option... options)`
  Restricted.
  Creates a method handle that is used to call a foreign function with the given signature.
  `MethodHandle`
  Linker.`downcallHandle(MemorySegment address, FunctionDescriptor function, Linker.Option... options)`
  Restricted.
  Creates a method handle that is used to call a foreign function with the given signature and address.
  `MemorySegment`
  Linker.`upcallStub(MethodHandle target, FunctionDescriptor function, Arena arena, Linker.Option... options)`
  Restricted.
  Creates an upcall stub which can be passed to other foreign functions as a function pointer, associated with the given arena.